Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1361 closed defect

capture: empty names in ctload and ctlist commands.

Reported by: Nickolay Semyonov-Kolchin Owned by: Chris Johns
Priority: lowest Milestone: 4.9.5
Component: unspecified Version: 4.9
Severity: normal Keywords:
Cc: javamonn@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

rtems_monitor_dump_name(rtems_capture_task_name(task)) always produce empty or bad output.

Changing from rtems_capture_task_name to rtems_capture_task_id solves this issue.

Warning: we use only ctload and ctlist. There can be bugs in other capture commands.

Patch against 4.9.1 attached. Should apply to CVS version too.

Attachments (1)

capture_name.diff (1.6 KB) - added by Nickolay Semyonov-Kolchin on 01/23/09 at 14:10:49.
change rtems_capture_task_name to rtems_capture_task_id

Download all attachments as: .zip

Change History (9)

Changed on 01/23/09 at 14:10:49 by Nickolay Semyonov-Kolchin

Attachment: capture_name.diff added

change rtems_capture_task_name to rtems_capture_task_id

comment:1 Changed on 01/23/09 at 14:19:31 by Joel Sherrill

Owner: changed from Joel Sherrill to Chris Johns

comment:2 Changed on 06/02/10 at 00:06:21 by Chris Johns

Priority: normallowest
Status: newassigned

comment:3 Changed on 12/24/13 at 04:18:00 by Daniel Ramirez

Cc: Daniel Ramirez added

This has been fixed on the Master branch. Patch applies cleanly and fixes the bug on the 4.10 and 4.9 branches, and should be applied. See the output of ctload and ctlist rtems capture engine commands to check for correct behavior.

comment:4 Changed on 11/22/14 at 13:53:59 by Gedare Bloom

Description: modified (diff)
Milestone: 4.104.9.5

comment:5 Changed on 11/22/14 at 14:05:40 by Nickolay Semyonov <nbkolchin@…>

In [changeset:"b47dffc510f8e5460ac6aecad8ca84b54e9e7d64/rtems"]:

capture: back-port conversion from task_name to task_id (see #1361)

comment:6 Changed on 11/22/14 at 14:12:13 by Nickolay Semyonov <nbkolchin@…>

In [changeset:"b6519e4b3dc008a813fb650db2265642eeaa6b2e/rtems"]:

capture: back-port conversion from task_name to task_id (closes #1361)

comment:7 Changed on 11/22/14 at 14:13:06 by Gedare Bloom

Resolution: fixed
Status: assignedclosed

comment:8 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.